<!DOCTYPE html >
<html>
    <%@page import="java.util.Set"%>
    <%@page import="java.util.List"%>
    <%@page import="uk.co.ruelgnoj.orion.servlet.ProjectManager"%>
    <%@page import="uk.co.ruelgnoj.orion.servlet.CategoryInfo"%>
    <%@page import="uk.co.ruelgnoj.orion.servlet.ProjectInfo"%>
    <head>
        <title><%= getServletContext().getAttribute("orion.productname")%> - Index</title>
        <jsp:include page="internal/header.jsp"/>
    </head>
    <body>
        <header>
            <h1><%= getServletContext().getAttribute("orion.productname")%> <%= getServletContext().getAttribute("orion.version")%></h1>
            <div id="menu">
                <div class="menus">
                    <h6>Documentation</h6>
                    <ul>
                        <li><a href="doc/index.html" target="_blank">Index</a></li>
                        <li><a href="doc/keys.html" target="_blank">Key Settings</a></li>
                        <li><a href="doc/licenses.html" target="_blank">Licenses</a></li>
                    </ul>
                </div>
        </header>
        <jsp:include page="internal/motd.jsp"/>
        <article>
            <%
                final ProjectManager pm = (ProjectManager) getServletContext().getAttribute("pm");
                if (pm.hasError()) {
            %>
            <%= pm.getErrorAsHTML()%>
            <%
            } else {
                final List<CategoryInfo> categories = pm.getCategories();
                if (categories.isEmpty()) {
            %>
            <p>There are no projects available.</p>
            <%
                } else {
            %>
            <p>To run Orion, press here --&gt;
            <script src="https://java.com/js/deployJava.js"></script>
            <script>
                deployJava.createWebStartLaunchButton("orion.jnlp", "1.8.0");
            </script>
            </p>
                <%
                    for (CategoryInfo category : categories) {
                        %>
                        <section class="cat">
                        <h3><%= category.getDescription()%></h3>
                        <%
                        for (ProjectInfo project : category.getProjects()) {
                %>
                <p><%= project.getDescription()%></p>
                <%
                        }
                %>
            </section>
            <%
                    }
                }
            }
            %>
        </article>
        <jsp:include page="internal/copyright.jsp"/>
    </body>
</html>
