/*
 orion: Provides a set of source code browsing utilities.
 Copyright (C) 2008  Steve Millington

 $Id: CursesUI.java 256 2008-07-15 15:54:02Z steve $

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package uk.co.ruelgnoj.orion.cc;

import java.awt.Point;
import javax.swing.plaf.ComponentUI;

/**
 * The UI Definition for a curses component.
 *
 * @author Steve Millington
 * @version $Id: CursesUI.java 256 2008-07-15 15:54:02Z steve $
 */
public abstract class CursesUI extends ComponentUI {

    /**
     * Constructor.
     */
    public CursesUI() {
    }

    /**
     * Get the row associated with a given component point.
     *
     * @param p The point
     * @return The row or -1 if the point does not have a corresponding row.
     */
    public abstract int getRow(Point p);

    /**
     * Get the column associated with a given component point.
     *
     * @param p The point
     * @return The column or -1 if the point does not have a corresponding
     * column.
     */
    public abstract int getColumn(Point p);
}
