/*
 orion: Provides a set of source code browsing utilities.
 Copyright (C) 2008  Steve Millington

 $Id: Authenticator.java 225 2008-03-24 18:39:02Z steve $

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package uk.co.ruelgnoj.orion.component;

import java.awt.event.ActionEvent;
import javax.swing.Action;
import javax.swing.JComponent;

/**
 *
 * @author Steve Millington
 * @version $Id$
 */
public class ActionMapHelper {

    private final JComponent comp;

    public ActionMapHelper(JComponent comp) {
        this.comp = comp;
    }

    public void invokeAction(String name) {
        try {
            final Action action =
                    comp.getActionMap().get(name);
            if ((action != null) && action.isEnabled()) {
                action.actionPerformed(
                        new ActionEvent(comp,
                        ActionEvent.ACTION_PERFORMED,
                        name));
            }
        } catch (Exception e) {
            // Dont worry if it fails
        }
    }
}
