/*
 orion: Provides a set of source code browsing utilities.
 Copyright (C) 2008  Steve Millington

 $Id: DefaultListViewRenderer.java 256 2008-07-15 15:54:02Z steve $

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package uk.co.ruelgnoj.orion.component;

import java.awt.Color;

import uk.co.ruelgnoj.orion.cc.WritableCursesModel;

/**
 * The default renderer for orion list items.
 *
 * @author Steve Millington
 * @version $Id: DefaultListViewRenderer.java 256 2008-07-15 15:54:02Z steve $
 */
public class DefaultListViewRenderer implements ListViewRenderer {

    @Override
    public void render(WritableCursesModel wtm,
            ListView view,
            Object o,
            int modelIndex,
            boolean selected) {
        if (!selected) {
            wtm.setFG(Color.WHITE);
        } else {
            wtm.setFG(wtm.getBG());
            wtm.setBG(Color.WHITE);
        }
        wtm.print(o.toString());
    }
}
