/*
 orion: Provides a set of source code browsing utilities.
 Copyright (C) 2008  Steve Millington

 $Id: VariableListView.java 256 2008-07-15 15:54:02Z steve $

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package uk.co.ruelgnoj.orion.component;

import uk.co.ruelgnoj.orion.cc.WritableCursesModel;
import java.awt.Color;
import java.util.List;

class VariableListView extends ListView {

    private final String searchString;

    public VariableListView(OrionComponent orionComponent, String searchString, List<String> variables) {
        super(orionComponent, variables);
        this.searchString = searchString;
    }

    @Override
    protected void itemSelected(Object o) {
        final HuntSpecificSwingWorker hsw = new HuntSpecificSwingWorker(orionComponent, (String) o);
        hsw.execute();
    }

    @Override
    public void activate() {
        WritableCursesModel header = orionComponent.getHeaderArea();
        header.setBatch(true);
        header.setBG(Color.BLACK);
        header.clear();
        header.moveTo(0, 0);
        header.setFG(Color.WHITE);
        header.print(orionComponent.getBundle().getString("filelistview.pattern") + ' ');
        header.setFG(Color.YELLOW);
        header.print(searchString);
        header.setBatch(false);

        super.activate();
    }
}
