/*
orion: Provides a set of source code browsing utilities.
Copyright (C) 2008  Steve Millington

$Id: StartOfLineAction.java 285 2011-07-19 12:37:42Z steve $

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package uk.co.ruelgnoj.orion.component.fileview;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

/**
 * File View Action - Go to the start of the current line.
 *
 * @author Steve Millington
 * @version $Id: StartOfLineAction.java 285 2011-07-19 12:37:42Z steve $
 */
public class StartOfLineAction extends AbstractAction {

    private final Internals internals;

    /**
     * Constructor.
     * @param internals The file view
     */
    public StartOfLineAction(Internals internals) {
        this.internals = internals;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        internals.clearMessages();
        final int oldCursorLine = internals.getCursorLine();
        final int oldCursorCol = internals.getCursorColumn();

        internals.setCursorMagic(0);
        internals.setCursorToMagic();

        internals.adjustViewportAndDisplay(oldCursorLine, oldCursorCol);
    }
}
