/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package uk.co.ruelgnoj.orion.component.util;

import java.awt.event.ActionEvent;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ResourceBundle;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Steve Millington
 * @version $Id$
 */
public class MethodAction extends RBAction {

    private final Object object;
    private final Method method;
    private final boolean isActionEventMethod;

    public MethodAction(ResourceBundle theBundle,
            String actionSet,
            String actionName,
            Object objectToOperateOn,
            String methodName) {
        super(theBundle, actionSet, actionName);
        this.object = objectToOperateOn;
        final Class<?> clazz = object.getClass();
        Method theMethod = null;
        boolean actionMethod = false;
        try {
            theMethod = clazz.getMethod(methodName, ActionEvent.class);
            actionMethod = true;
        } catch (NoSuchMethodException e) {
            try {
                theMethod = clazz.getMethod(methodName);
            } catch (NoSuchMethodException e1) {
            }
        }
        method = theMethod;
        isActionEventMethod = actionMethod;
        setEnabled(method != null);
    }

    @Override
    public void setEnabled(boolean b) {
        super.setEnabled(b && (method != null));
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        try {
            if (isActionEventMethod) {
                method.invoke(object, e);
            } else {
                method.invoke(object);
            }
        } catch (IllegalAccessException | IllegalArgumentException | InvocationTargetException ex) {
            Logger.getLogger(MethodAction.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}
