/*
 orion: Provides a set of source code browsing utilities.
 Copyright (C) 2008  Steve Millington

 $Id: UtilsTest.java 256 2008-07-15 15:54:02Z steve $

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package uk.co.ruelgnoj.orion.component;

import org.junit.Test;
import static org.junit.Assert.*;

public class UtilsTest {

    @Test
    public void truncateFile1() {
	try {
	    String s = Utils.truncateFile(null,50);
	    fail();
	} catch (NullPointerException e) {
	}
    }

    @Test
    public void truncateFile2() {
	try {
	    String s = Utils.truncateFile("fffff", -1);
	    fail();
	} catch (IllegalArgumentException e) {
	}
    }

    @Test
    public void truncateFile3() {
	String s = Utils.truncateFile("steve", 6);
	assertEquals("steve", s);
	String s1 = Utils.truncateFile("steve", 5);
	assertEquals("steve", s1);
    }

    @Test
    public void truncateFile4() {
	String s = Utils.truncateFile("abcdefghijklmnopqrstuvwxyz", 7);
	assertEquals("...wxyz", s);
    }

    @Test
    public void truncateFile5() {
	String s = Utils.truncateFile("/abcdefghi/a", 8);
	assertEquals("/.../a", s);
    }

    @Test
    public void truncateFile6() {
	String s = Utils.truncateFile("/abcdefghi/jklmnopqrstu/a", 8);
	assertEquals("/.../a", s);
    }

    @Test
    public void truncateFile7() {
	String s = Utils.truncateFile("/abcdefghi/jklmnopqrstu", 10);
	assertEquals("/.../...tu", s);
    }

    @Test
    public void truncateFile8() {
	String s = Utils.truncateFile("/abcdefghi/j/a", 8);
	assertEquals("/.../j/a", s);
    }

    @Test
    public void truncateFile9() {
	String s = Utils.truncateFile("abcdefghi/j/a", 8);
	assertEquals(".../j/a", s);
    }

    @Test
    public void truncateFile10() {
	String s = Utils.truncateFile("/foo/hoo/booarthur", 5);
	assertEquals(".....", s);
    }

    @Test
    public void truncateFile11() {
	String s = Utils.truncateFile("", 8);
	assertEquals("", s);
    }

    @Test
    public void truncateFile12() {
	String s = Utils.truncateFile("qwjdkqwjdqwkjdqw", 0);
	assertEquals("", s);
    }
}
