/*
 * -----------------------------------------------------------------------
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published
 *    by the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 * 
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 * 
 *    You should have received a copy of the GNU Library General Public
 *    License along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * ----------------------------------------------------------------------
 */
package uk.co.ruelgnoj.orion.defdm.impl;

import uk.co.ruelgnoj.orion.dm.OrionDataModelException;

/**
 * A handler for Orion requests.
 * @author Steve Millington
 * @version $Id: OrionRequestHandler.java 201 2008-01-14 17:27:42Z steve $
 */
public interface OrionRequestHandler {
    /**
     * Handle a request.
     * @param req The request
     * @return The return object (may be null)
     * @throws OrionDataModelException if necessary
     */
    Object handleRequest(OrionRequest req) throws OrionDataModelException;

    /**
     * Close the handler.
     */
    void close();
}
