/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package uk.co.ruelgnoj.orion.defproj;

import java.io.File;
import java.net.MalformedURLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import uk.co.ruelgnoj.orion.project.Project;
import uk.co.ruelgnoj.orion.defdm.FileOrionDataModel;
import uk.co.ruelgnoj.orion.dm.OrionDataModel;
import uk.co.ruelgnoj.orion.dm.OrionDataModelException;

/**
 *
 * @author Steve Millington
 * @version $Id: FileProject.java 219 2008-01-19 09:13:32Z steve $
 */
public class FileProject implements Project {

    private final File _file;

    public FileProject(String fileName) {
        this(new File(fileName));
    }

    public FileProject(File file) {
        _file = file;
    }

    @Override
    public OrionDataModel createDataModel() throws OrionDataModelException {
        return new FileOrionDataModel(_file);
    }

    @Override
    public String getName() {
        return _file.getName();
    }

    @Override
    public String getURL() {
        try {
            return _file.toURI().toURL().toString();
        } catch (MalformedURLException ex) {
            Logger.getLogger(FileProject.class.getName()).log(Level.SEVERE, null, ex);
            throw new Error("InternalLogicError", ex);
        }
    }

    @Override
    public Icon getIcon() {
        return new ImageIcon(getClass().getResource("/uk/co/ruelgnoj/orion/application/fileicon.png"));
    }
}
