/*
 * -----------------------------------------------------------------------
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published
 *    by the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 * 
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 * 
 *    You should have received a copy of the GNU Library General Public
 *    License along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * ----------------------------------------------------------------------
 */
package uk.co.ruelgnoj.orion.defproj;

import java.io.File;
import java.util.Collections;
import java.util.List;
import java.util.Set;
import uk.co.ruelgnoj.orion.project.Category;
import uk.co.ruelgnoj.orion.project.Project;
import uk.co.ruelgnoj.orion.project.spi.ProjectFactoryImpl;

/**
 *
 * @author Steve Millington
 * @version $Id: FileProjectFactory.java 219 2008-01-19 09:13:32Z steve $
 */
public class FileProjectFactory extends ProjectFactoryImpl {

    public FileProjectFactory() {

    }

    @Override
    public Set<String> getProtocols() {
        return Collections.singleton("file");
    }

    @Override
    public List<Category> createProjectsImpl(String url) {
        return Collections.singletonList(new Category() {
            @Override
            public String getDescription() {
                throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
            }
            
            @Override            
            public List<Project> getProjects() {
                return Collections.singletonList(new FileProject(new File(url.substring(5))));
            }
        });
    }
}
