/*
 * -----------------------------------------------------------------------
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published
 *    by the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 * 
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 * 
 *    You should have received a copy of the GNU Library General Public
 *    License along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * ----------------------------------------------------------------------
 */

package uk.co.ruelgnoj.orion.defproj;

import javax.swing.Icon;
import uk.co.ruelgnoj.orion.defdm.JDBCOrionDataModel;
import uk.co.ruelgnoj.orion.project.Project;
import uk.co.ruelgnoj.orion.dm.OrionDataModel;
import uk.co.ruelgnoj.orion.dm.OrionDataModelException;

/**
 *
 * @author Steve Millington
 * @version $Id: JDBCProject.java 219 2008-01-19 09:13:32Z steve $
 */
public class JDBCProject implements Project {
    private final String _url;
    public JDBCProject(String url) {
        _url = url;
    }

    @Override
    public OrionDataModel createDataModel() throws OrionDataModelException {
        return new JDBCOrionDataModel(_url);
    }

    @Override
    public String getName() {
        String ret;
        final int idx = _url.lastIndexOf('/');
        if (idx >= 0) {
            ret = _url.substring(idx + 1);
        } else {
            ret = _url;
        }
        final int idx2 = ret.indexOf(';');
        if (idx2 >= 0) {
            ret = ret.substring(0, idx2);
        }
        return ret;
    }

    @Override
    public String getURL() {
        return _url;
    }

    @Override
    public Icon getIcon() {
        return null;
    }

}
