/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package uk.co.ruelgnoj.orion.project;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.ServiceLoader;
import uk.co.ruelgnoj.orion.project.spi.ProjectFactoryImpl;

/**
 *
 * @author Steve Millington
 * @version $Id: ProjectFactory.java 206 2008-01-14 18:20:55Z steve $
 */
public final class ProjectFactory {

    // The extra handlers are only used by the Unit Test code.
    private static final List<ProjectFactoryImpl> EXTRA_HANDLERS;

    static {
        EXTRA_HANDLERS = new ArrayList<>();
    }

    private ProjectFactory() {

    }

    public static void add(ProjectFactoryImpl handler) {
        EXTRA_HANDLERS.add(handler);
    }

    public static void remove(ProjectFactoryImpl handler) {
        EXTRA_HANDLERS.remove(handler);
    }

    public static List<Category> getCategories(String url) {
        final ServiceLoader<ProjectFactoryImpl> sl = ServiceLoader.load(ProjectFactoryImpl.class);
        for (ProjectFactoryImpl ph : sl) {
            final List<Category> dbd = ph.createProjects(url);
            if (dbd != null) {
                return dbd;
            }
        }
        
        // Testing code
        for (ProjectFactoryImpl ph : EXTRA_HANDLERS) {
            final List<Category> ret = ph.createProjects(url);
            if (ret != null) {
                return ret;
            }
        }
        return Collections.emptyList();
    }
}
