/*
 * -----------------------------------------------------------------------
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published
 *    by the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 * 
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 * 
 *    You should have received a copy of the GNU Library General Public
 *    License along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * ----------------------------------------------------------------------
 */
package uk.co.ruelgnoj.orion.project.spi;

import java.util.List;
import java.util.Set;
import uk.co.ruelgnoj.orion.project.Category;

/**
 *
 * @author Steve Millington
 * @version $Id: ProjectFactoryImpl.java 206 2008-01-14 18:20:55Z steve $
 */
public abstract class ProjectFactoryImpl {
    
    public ProjectFactoryImpl() {
    }

    protected abstract Set<String> getProtocols();

    protected abstract List<Category> createProjectsImpl(String url);

    public List<Category> createProjects(String url) {
        final String protocol = url.substring(0, url.indexOf(':'));
        if (!getProtocols().contains(protocol)) {
            return null;
        }
        return createProjectsImpl(url);
    }
}
