/*
 orion: Provides a set of source code browsing utilities.
 Copyright (C) 2008  Steve Millington

 $Id: MasterOrionRequestHandler.java 225 2008-03-24 18:39:02Z steve $

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package uk.co.ruelgnoj.orion.servlet;

import java.io.Serializable;
import uk.co.ruelgnoj.orion.dm.OrionDataModelException;
import uk.co.ruelgnoj.orion.defdm.impl.OrionRequest;
import uk.co.ruelgnoj.orion.defdm.impl.OrionRequestHandler;

public class MasterOrionRequestHandler implements OrionRequestHandler {

    private final ProjectManager projectManager;

    public MasterOrionRequestHandler(ProjectManager pm) {
        this.projectManager = pm;
    }

    @Override
    public Serializable handleRequest(OrionRequest req) throws OrionDataModelException {
        final OrionRequest.Type type = req.getType();

        switch (type) {
            case GET_MATCHING_FILES:
            case GET_MATCHING_TAGS:
            case GET_FILE:
                final String projectName = (String) req.getRequestObject(0);
                final ProjectInfo pi = projectManager.getProject(projectName);
                return (Serializable) pi.getRequestHandler().handleRequest(req);
            default:
                return null;
        }
    }

    @Override
    public void close() {
    }
}
