/*
 orion: Provides a set of source code browsing utilities.
 Copyright (C) 2008  Steve Millington

 $Id: OrionProjectConfiguration.java 225 2008-03-24 18:39:02Z steve $

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package uk.co.ruelgnoj.orion.servlet;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;
import java.util.Collections;
import java.util.List;

/**
 *
 * @author Steve Millington
 * @version $Id: OrionProjectConfiguration.java 225 2008-03-24 18:39:02Z steve $
 */
@XStreamAlias("orion")
public class OrionProjectConfiguration {
    @XStreamImplicit(itemFieldName="category")
    private List<CategoryInfo> _categories;
    
    public void setCategories(List<CategoryInfo> categories) {
        _categories = categories;
    }
    
    public List<CategoryInfo> getCategories() {
        final List<CategoryInfo> ret;
        if ( _categories == null) {
            ret = Collections.emptyList();
        } else {
            ret = _categories;
        }
        return ret;
    }

}
