/*
 orion: Provides a set of source code browsing utilities.
 Copyright (C) 2008  Steve Millington

 $Id: ManagedJDBCProject.java 225 2008-03-24 18:39:02Z steve $

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package uk.co.ruelgnoj.orion.servlet.dm;

import javax.swing.Icon;
import uk.co.ruelgnoj.orion.project.Project;
import uk.co.ruelgnoj.orion.dm.OrionDataModel;
import uk.co.ruelgnoj.orion.dm.OrionDataModelException;

/**
 *
 * @author Steve Millington
 * @version $Id: ManagedJDBCProject.java 225 2008-03-24 18:39:02Z steve $
 */
public class ManagedJDBCProject implements Project {
    private final String _url;
    public ManagedJDBCProject(String url) {
        _url = url;
    }

    @Override
    public OrionDataModel createDataModel() throws OrionDataModelException {
        return new ManagedJDBCOrionDataModel(_url);
    }

    @Override
    public String getName() {
        String ret;
        final int idx = _url.lastIndexOf('/');
        if (idx >= 0) {
            ret = _url.substring(idx + 1);
        } else {
            ret = _url;
        }
        final int idx2 = ret.indexOf(';');
        if (idx2 >= 0) {
            ret = ret.substring(0, idx2);
        }
        return ret;
    }

    @Override
    public String getURL() {
        return _url;
    }

    @Override
    public Icon getIcon() {
        return null;
    }

}
