/*
 orion: Provides a set of source code browsing utilities.
 Copyright (C) 2008  Steve Millington

 $Id: ManagedJDBCProjectFactory.java 225 2008-03-24 18:39:02Z steve $

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package uk.co.ruelgnoj.orion.servlet.dm;

import java.util.Collections;
import java.util.List;
import java.util.Set;
import uk.co.ruelgnoj.orion.defproj.CategoryImpl;
import uk.co.ruelgnoj.orion.project.Category;
import uk.co.ruelgnoj.orion.project.spi.ProjectFactoryImpl;

/**
 *
 * @author Steve Millington
 * @version $Id: ManagedJDBCProjectFactory.java 225 2008-03-24 18:39:02Z steve $
 */
public class ManagedJDBCProjectFactory extends ProjectFactoryImpl {

    public ManagedJDBCProjectFactory() {

    }

    @Override
    protected final Set<String> getProtocols() {
        return Collections.singleton("java");
    }

    @Override
    public List<Category> createProjectsImpl(String url) {
        final Category c = new CategoryImpl("", Collections.singletonList(new ManagedJDBCProject(url)));
        return Collections.singletonList(c);
    }
}
