/*
 orion: Provides a set of source code browsing utilities.
 Copyright (C) 2008  Steve Millington

 $Id: ProjectInfoTest.java 265 2008-07-17 09:42:46Z steve $

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package uk.co.ruelgnoj.orion.servlet;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.annotations.Annotations;
import com.thoughtworks.xstream.io.xml.DomDriver;
import java.util.Collections;
import org.junit.Ignore;
import org.junit.Test;

/**
 *
 * @author Steve Millington
 * @version $Id: ProjectInfoTest.java 265 2008-07-17 09:42:46Z steve $
 */
public class ProjectInfoTest  {
    @Test
    public void saving() throws Exception {
        final CategoryInfo cat = new CategoryInfo();
        cat.setDescription("Steve's ca\"t <b>a</b>");
        final ProjectInfo pi = new ProjectInfo();
        pi.setName("TheName");
        pi.setDescription("The description \"Hello\".");
        cat.setProjects(Collections.singletonList(pi));
        final OrionProjectConfiguration od1 = new OrionProjectConfiguration();
        od1.setCategories(Collections.singletonList(cat));
        final XStream stream = new XStream(new DomDriver());
        Annotations.configureAliases(stream, OrionProjectConfiguration.class);
        Annotations.configureAliases(stream, ProjectInfo.class);
        final String s = stream.toXML(od1);
        System.out.println(s);
    }
}
