package uk.co.ruelgnoj.orion.tags;

import java.io.File;
import java.io.FileFilter;

/**
 *
 * @author Steve Millington
 * @version $Id$
 */
/**
 * A filter that accepts only if both its children do.
 */
public class MuxFilter implements FileFilter {

    private final FileFilter f1;
    private final FileFilter f2;

    /**
     *
     * Constructor.
     * @param f1 The first filter
     * @param f2 The other filter.
     */
    public MuxFilter(FileFilter f1, FileFilter f2) {
        this.f1 = f1;
        this.f2 = f2;
    }

    @Override
    public boolean accept(File f) {
        return f1.accept(f) && f2.accept(f);
    }
}