/*
 * -----------------------------------------------------------------------
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published
 *    by the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 * 
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 * 
 *    You should have received a copy of the GNU Library General Public
 *    License along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * ----------------------------------------------------------------------
 */

package uk.co.ruelgnoj.orion.tags;

import java.io.File;
import java.util.HashSet;
import java.util.Set;
import java.util.regex.Pattern;
import org.junit.Assert;
import org.junit.Test;

/**
 *
 * @author Steve Millington
 * @version $Id: DummyInvoker.java 219 2008-01-19 09:13:32Z steve $
 */
public class PatternExclusionsFilterTest {
    
    @Test
    public void testAll() {
        final Pattern p;
        if (File.separatorChar == '/') {
            p = Pattern.compile(".*/PVCS($|/.*$)");
        } else {
            p = Pattern.compile(".*\\\\PVCS($|\\\\.*$)");
        }
        
        final Set<Pattern> patterns = new HashSet<>();
        patterns.add(p);
        final PatternExclusionsFilter ef = new PatternExclusionsFilter(patterns);
        File f = new File("/tmp/foo");
        Assert.assertTrue(ef.accept(f));
        f = new File("/tmp/PVCS");
        Assert.assertFalse(ef.accept(f));
        f = new File("/tmp/PVCS/banana");
        Assert.assertFalse(ef.accept(f));
    }

}
