////////////////////////////////////////////////////////////////////////////////
// orion: Provides a set of source code browsing utilities.
// Copyright (C) 2003  Steve Millington
//
// $Id: TokenType.java 88 2006-12-01 22:39:47Z steve $
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
package uk.co.ruelgnoj.orion.tokenizers;

/**
 * A definition of a type of token.
 *
 * @author Steve Millington
 * @version $Id: TokenType.java 88 2006-12-01 22:39:47Z steve $
 */
public interface TokenType {
    /**
     * Get the token type name.
     * @return The name
     */
    String getName();

    /**
     * Get the token type dtsplay name.
     * <p>This name is internationalized.
     * @return The display name
     */
    String getDisplayName();

    /**
     * Are tokens of this type suitable for putting into an index?
     * @return True if they are.
     */
    boolean isIndexable();
}
