////////////////////////////////////////////////////////////////////////////////
// orion: Provides a set of source code browsing utilities.
// Copyright (C) 2003  Steve Millington
//
// $Id: FileViewColorsPI.java 143 2007-07-09 15:25:34Z steve $
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
package uk.co.ruelgnoj.orion.application;

import javax.swing.JPanel;
import javax.swing.JComponent;
import java.util.Locale;
import java.util.Set;
import java.util.List;
import java.util.ArrayList;
import javax.swing.Icon;

import uk.co.ruelgnoj.prefs.AbstractPreferenceItem;
import uk.co.ruelgnoj.prefs.PreferenceItem;
import uk.co.ruelgnoj.orion.component.FileViewSettings;

public class FileViewColorsPI extends AbstractPreferenceItem {

    private static final String RBNAME = "uk.co.ruelgnoj.orion.application.resources";

    private final List<PreferenceItem> _children;

    public FileViewColorsPI(Set<FileViewSettings> settings) {
        _children = new ArrayList<>();
        for (FileViewSettings s : settings) {
            _children.add(new FileViewSettingsPI(s));
        }
    }

    @Override
    public Icon getIcon() {
        return null;
    }

    @Override
    public List<PreferenceItem> getChildren() {
        return _children;
    }

    @Override
    protected JComponent createComponent() {
        return new JPanel();
    }

    @Override
    public String getDisplayName(Locale locale) {
        return "Colors";
    }
}
