////////////////////////////////////////////////////////////////////////////////
// orion: Provides a set of source code browsing utilities.
// Copyright (C) 2003  Steve Millington
//
// $Id: FileViewSettingsPI.java 143 2007-07-09 15:25:34Z steve $
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
package uk.co.ruelgnoj.orion.application;

import javax.swing.JComponent;
import java.util.Locale;
import java.util.Set;
import java.util.ResourceBundle;
import javax.swing.Icon;

import uk.co.ruelgnoj.prefs.AbstractPreferenceItem;
import uk.co.ruelgnoj.prefs.PreferenceCommitMechanism;
import uk.co.ruelgnoj.orion.component.FileViewSettings;
import uk.co.ruelgnoj.orion.component.FileColorPanel;

public class FileViewSettingsPI extends AbstractPreferenceItem {

    private static final String RBNAME = "uk.co.ruelgnoj.orion.application.resources";
    private final FileViewSettings settings;

    public FileViewSettingsPI(FileViewSettings settings) {
        this.settings = settings;
    }

    @Override
    public Icon getIcon() {
        return null;
    }

    @Override
    protected JComponent createComponent() {
        return new FileColorPanel(settings);
    }

    @Override
    public String getDisplayName(Locale locale) {
        return settings.getVisual();
    }

    @Override
    protected void rollbackChangesImpl() {
    }

    @Override
    protected void commitChangesImpl(Set<PreferenceCommitMechanism> mechanisms) {
    }

    private static String getBundleString(String name, Locale locale) {
        return ResourceBundle.getBundle(RBNAME, locale).getString(
                "lafpi." + name);
    }

    private static String getBundleString(String name) {
        return ResourceBundle.getBundle(RBNAME).getString("lafpi." + name);
    }
}
