/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package uk.co.ruelgnoj.orion.application;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.util.ResourceBundle;
import javax.swing.Action;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JPanel;
import uk.co.ruelgnoj.orion.component.util.RBAction;

/**
 *
 * @author Steve Millington
 * @version $Id: OKCancelDialog.java 219 2008-01-19 09:13:32Z steve $
 */
public abstract class OKCancelDialog extends JDialog {
    private static final ResourceBundle BUNDLE = ResourceBundle.getBundle("uk.co.ruelgnoj.orion.application.okcanceldialog");
    private boolean _accepted;
    private Action okAction;
    private Action cancelAction;
    
    public OKCancelDialog(JFrame owner) {
        super(owner, true);
        init();
    }

    public OKCancelDialog() {
        setModal(true);
        init();
    }
    
    protected void init() {
        _accepted = false;
        setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
        getContentPane().setLayout(new BorderLayout());
        initActions();
        initButtons();
        initContent();
        pack();
    }
    
    protected abstract void initContent();
    
    private void initActions() {
        okAction = new RBAction(BUNDLE, "actions", "ok") {

            @Override
            public void actionPerformed(ActionEvent e) {
                _accepted = true;
                close();
            }
            
        };
        cancelAction = new RBAction(BUNDLE, "actions", "cancel") {

            @Override
            public void actionPerformed(ActionEvent e) {
                _accepted = false;
                close();
            }
            
        };

        
    }
    
    private void close() {
        dispose();
    }
    
    private void initButtons() {
        final JPanel buttonPanel = new JPanel(new FlowLayout());
        buttonPanel.add(new JButton(okAction));
        buttonPanel.add(new JButton(cancelAction));
        getContentPane().add(BorderLayout.SOUTH, buttonPanel);
    }
    
    public boolean isAccepted() {
        return _accepted;
    }

}
