////////////////////////////////////////////////////////////////////////////////
// orion: Provides a set of source code browsing utilities.
// Copyright (C) 2003  Steve Millington
//
// $Id: OrionDBFilter.java 66 2006-01-30 20:47:58Z steve $
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
package uk.co.ruelgnoj.orion.application;

import java.io.File;

import java.util.ResourceBundle;

import javax.swing.filechooser.FileFilter;

/**
 * A file filter for Orion tags files.
 * <p>
 * The filter accepts directories and any file ending in <code>.tags</code>.
 *
 * @author Steve Millington
 * @version $Id: OrionDBFilter.java 66 2006-01-30 20:47:58Z steve $
 */
public class OrionDBFilter extends FileFilter {

    private static final String RBNAME = "uk.co.ruelgnoj.orion.application.resources";

    /**
     * Constructor.
     */
    public OrionDBFilter() {
    }

    @Override
    public String getDescription() {
        return ResourceBundle.getBundle(RBNAME).getString("dbfilter.desc");
    }

    @Override
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }
        return f.getName().endsWith(".tags");
    }
}
