package uk.co.ruelgnoj.orion.application;

import java.util.List;
import uk.co.ruelgnoj.orion.project.Category;
import uk.co.ruelgnoj.orion.project.Project;


public interface ProjectManager {

    /**
     *
     * Get a list of the history of the projects accessed.
     * @return the list
     */
    List<Project> getHistory();

    /**
     * Get the initial database to use.
     * @return The database.
     */
    List<Project> getInitialProjects();
    
    List<Category> getPredefined();

    /**
     * Set the initial project to use.
     * @param project The database.
     */
    void setInitialProject(Project project);

    /**
     * Register a project as having been used.
     * @param project The project
     */
    void use(Project project);
    
    boolean allowsArbitraryProjects();
    
}
