////////////////////////////////////////////////////////////////////////////////
// orion: Provides a set of source code browsing utilities.
// Copyright (C) 2003  Steve Millington
//
// $Id: DBManager.java 199 2008-01-14 17:04:44Z steve $
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
package uk.co.ruelgnoj.orion.application;

import uk.co.ruelgnoj.orion.project.Project;
import uk.co.ruelgnoj.orion.project.ProjectFactory;
import java.util.Collections;
import java.util.List;
import uk.co.ruelgnoj.orion.project.Category;

/**
 * A manager for the Orion projects.
 *
 * @author Steve Millington
 * @version $Id: DBManager.java 199 2008-01-14 17:04:44Z steve $
 */
public class WSProjectManager implements ProjectManager {

    private final String _url;
    private final List<Category> _categories;

    /**
     * Constructor.
     *
     * @param s
     */
    public WSProjectManager(String s) {
        _url = s;
        _categories = ProjectFactory.getCategories(_url);
    }

    /**
     * Get the initial database to use.
     *
     * @return The database.
     */
    @Override
    public List<Project> getInitialProjects() {
        return Collections.emptyList();
    }

    /**
     * Set the initial database to use.
     *
     * @param db The database.
     */
    @Override
    public void setInitialProject(Project db) {
        //
    }

    /**
     *
     * Get a list of the history of the files accessed.
     *
     * @return the list
     */
    @Override
    public List<Project> getHistory() {
        return Collections.emptyList();
    }

    /**
     * Register a database as having been used. This will store the name in the
     * preferences, and ensure that it is in the list next time this application
     * is run.
     *
     * @param odb The database
     */
    @Override
    public void use(Project odb) {
    }

    @Override
    public boolean allowsArbitraryProjects() {
        return false;
    }

    @Override
    public List<Category> getPredefined() {
        return _categories;
    }
}
