////////////////////////////////////////////////////////////////////////////////
// orion: Provides a set of source code browsing utilities.
// Copyright (C) 2007  Steve Millington
//
// $Id: WelcomePanel.java 219 2008-01-19 09:13:32Z steve $
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
package uk.co.ruelgnoj.orion.application;

import java.awt.Color;
import uk.co.ruelgnoj.orion.cc.Curses;
import uk.co.ruelgnoj.orion.cc.WritableCursesModel;

/**
 * The panel first displayed to the user in the Tabbed Orion Component
 * when there is no other tab to create.
 */
public class WelcomePanel extends Curses {
    
    /**
     * Constructor.
     * @param cols The number of columns.
     * @param rows The number of rows.
     */
    public WelcomePanel(int cols, int rows) {
        super(cols, rows);
        setFocusable(true);
        final WritableCursesModel cm = (WritableCursesModel)getModel();
        cm.setBG(Color.BLACK);
        cm.clear();
        final int row = (cm.getRows() / 2) - 1;
        cm.setFG(Color.BLUE);
        center(row, "Welcome");
        center(row + 1,"to");
        cm.setFG(Color.RED);
        center(row + 2,"Orion");
    }
    
    private void center(int row, String s) {
        final WritableCursesModel cm = (WritableCursesModel)getModel();
        final int cols = cm.getCols();
        final int col = (cols - s.length()) / 2;
        cm.moveTo(col, row);
        cm.print(s);
    }
}
