/**********************************************************************/
/*                                                                    */
/* Copyright (c) 2003 by Sun Microsystems, Inc.                       */
/* All rights reserved.                                               */
/*                                                                    */
/**********************************************************************/

package prefs.demo;

import javax.swing.JDialog;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.JPanel;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.ImageIcon;
import javax.swing.BorderFactory;
import javax.swing.UIManager;
import java.awt.Frame;
import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.Color;
import java.awt.*;
import java.util.Locale;
import java.util.ResourceBundle;
import javax.swing.JComponent;
import javax.swing.JFrame;

import java.util.ResourceBundle;

import uk.co.ruelgnoj.prefs.AbstractPreferenceItem;

public class LocalePI extends AbstractPreferenceItem {
    private static final String RBNAME =
    	"prefs.demo.resources";

    public LocalePI() {
    }

    protected JComponent createComponent() {
	JPanel panel = new JPanel(new BorderLayout());
	panel.add(BorderLayout.WEST, new JLabel("Locale"));
	Locale[] locales = {
	    Locale.US,
	    Locale.UK,
	    Locale.FRENCH
	};
	JList localesList = new JList(locales);
	localesList.addListSelectionListener(new ListSelectionListener() {
	    public void valueChanged(ListSelectionEvent e) {
		if (e.getValueIsAdjusting()) {
		    return;
		}
		JList list = (JList)e.getSource();
		Object o = list.getSelectedValue();
		if (o != null) {
		    final Locale locale = (Locale)o;
		    SwingUtilities.invokeLater(new Runnable() {
			public void run() {
			    useLocale(locale);
			}
		    });
		}
	    }
	});
	JScrollPane jsp = new JScrollPane(localesList);
	panel.add(BorderLayout.CENTER, jsp);
	return panel;
    }

    private void useLocale(Locale locale) {
	Locale.setDefault(locale);
    }

    public String getDisplayName(Locale locale) {
	return getBundleString("displayname", locale);
    }

    private static String getBundleString(String name, Locale locale) {
	return ResourceBundle.getBundle(RBNAME, locale).getString("localepi." + name);
    }
}
