/**********************************************************************/
/*                                                                    */
/* Copyright (c) 2003 by Sun Microsystems, Inc.                       */
/* All rights reserved.                                               */
/*                                                                    */
/**********************************************************************/

package prefs.demo;

import javax.swing.JDialog;
import javax.swing.*;
import javax.swing.JPanel;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.ImageIcon;
import javax.swing.BorderFactory;
import java.awt.Frame;
import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.Color;
import java.awt.*;
import java.util.Locale;
import java.util.List;
import java.util.ArrayList;
import java.util.ResourceBundle;
import javax.swing.JComponent;

import java.util.ResourceBundle;
import uk.co.ruelgnoj.prefs.AbstractPreferenceItem;
import uk.co.ruelgnoj.prefs.PreferenceItem;
import uk.co.ruelgnoj.prefs.treepanel.util.SingleLayout;

public class LoggingPI extends AbstractPreferenceItem {
    private static final String RBNAME = "prefs.demo.resources";

    private List<PreferenceItem> children;

    public LoggingPI() {
	children = new ArrayList<PreferenceItem>(2);
	children.add(new SystemLoggingPI());
	children.add(new UserLoggingPI());
    }

    public List<PreferenceItem> getChildren() {
	return children;
    }

    protected JComponent createComponent() {
	JPanel panel = new JPanel(new SingleLayout());
	panel.add(new JLabel(
		    new ImageIcon((Class.class).getResource(
			    "/prefs/demo/images/LoggingPI.jpg"))));
	return panel;
    }

    public String getDisplayName(Locale locale) {
	return getBundleString("displayname", locale);
    }

    private static String getBundleString(String name, Locale locale) {
	return ResourceBundle.getBundle(RBNAME, locale).getString("loggingpi." + name);
    }
}
