package prefs.demo;

import javax.swing.UIManager;
import javax.swing.LookAndFeel;
import java.io.File;
import java.net.URL;
import java.net.URLClassLoader;
import java.net.MalformedURLException;

public class LookAndFeelInfoExtended extends UIManager.LookAndFeelInfo {
    private String classPath;
    public LookAndFeelInfoExtended(String name, String className, String classPath) {
	super(name, className);
	this.classPath = classPath;
    }

    public LookAndFeel loadLookAndFeel() throws ClassNotFoundException,
	   InstantiationException, IllegalAccessException {
	ClassLoader cl = getClass().getClassLoader();

	if (classPath != null) {
	    try {
		URL[] urls = {
		    (new File(classPath)).toURL()
		};
		ClassLoader xLoader = new URLClassLoader(urls, cl);
		cl = xLoader;
	    } catch (MalformedURLException e) {
		throw new Error(e);
	    }
	}
	Class clazz = cl.loadClass(getClassName());
	LookAndFeel laf = (LookAndFeel)clazz.newInstance();
	return laf;
    }

    public String getClassPath() {
	return classPath;
    }
}
