/**********************************************************************/
/*                                                                    */
/* Copyright (c) 2003 by Sun Microsystems, Inc.                       */
/* All rights reserved.                                               */
/*                                                                    */
/**********************************************************************/

package prefs.demo;

import javax.swing.JDialog;
import javax.swing.*;
import javax.swing.JPanel;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.ImageIcon;
import javax.swing.BorderFactory;
import java.awt.Frame;
import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.Color;
import java.awt.*;
import java.util.Locale;
import java.util.ResourceBundle;
import javax.swing.JComponent;

import java.util.ResourceBundle;
import uk.co.ruelgnoj.prefs.AbstractPreferenceItem;
import uk.co.ruelgnoj.prefs.treepanel.util.OptionLayout;
import uk.co.ruelgnoj.prefs.treepanel.util.VerticalFlowLayout;

/**
 * The 'about' box for orion.
 */
public class UserLoggingPI extends AbstractPreferenceItem {
    private static final String RBNAME =
    	"prefs.demo.resources";

    public UserLoggingPI() {
    }

    protected JComponent createComponent() {
	JPanel panel = new JPanel(new VerticalFlowLayout());
	JPanel general = new JPanel(new OptionLayout());
	general.setBorder(BorderFactory.createTitledBorder("General"));
	general.add(new JLabel("Destination"));
	general.add(new JTextField());
	panel.add(general);
	return panel;
    }

    public String getDisplayName(Locale locale) {
	return getBundleString("displayname");
    }

    private static String getBundleString(String name) {
	return ResourceBundle.getBundle(RBNAME).getString("userloggingpi." + name);
    }
}
