/**********************************************************************/
/*                                                                    */
/* Copyright (c) 2004 by Sun Microsystems, Inc.                       */
/* All rights reserved.                                               */
/*                                                                    */
/**********************************************************************/
package uk.co.ruelgnoj.prefs;

import java.util.Set;

import uk.co.ruelgnoj.prefs.treepanel.TreePanelItem;

/**
 * An item of preferences.
 * <p>Implementations of this interface are managed by the
 * <code>PreferenceManager</code> class.
 */
public interface PreferenceItem extends TreePanelItem<PreferenceItem> {

    /**
     * Commit any changes made in the component.
     * @param set The commitment mechanisms
     */
    public void commitChanges(Set<PreferenceCommitMechanism> set);

    /**
     * Roll back any changes made in the component.
     */
    public void rollbackChanges();
}
