/**********************************************************************/
/*                                                                    */
/* Copyright (c) 2004 by Sun Microsystems, Inc.                       */
/* All rights reserved.                                               */
/*                                                                    */
/**********************************************************************/
package uk.co.ruelgnoj.prefs.treepanel;

import javax.swing.JTree;
import javax.swing.tree.TreeSelectionModel;

import java.util.List;

/**
 * The tree used to display the preferences.
 */
public class TreePanelTree extends JTree {
    /**
     * Constructor, from a list containing the preference items.
     * @param items The preference items.
     * @throws java.lang.NullPointerException if items is null
     */
    public TreePanelTree(List<? extends TreePanelItem> items) {
	super(new TreePanelTreeModel(items));
	setRootVisible(false);
	setShowsRootHandles(true);
	getSelectionModel().setSelectionMode(
		TreeSelectionModel.SINGLE_TREE_SELECTION);
	setCellRenderer(new TreePanelTreeRenderer());

	//
	// Expand all the nodes
	//
	for (int i = 0; i < getRowCount(); i++) {
	    expandRow(i);
	}
    }

    @Override
    public void updateUI() {
	super.updateUI();
	setCellRenderer(new TreePanelTreeRenderer());
    }
}
