/**********************************************************************/
/*                                                                    */
/* Copyright (c) 2004 by Sun Microsystems, Inc.                       */
/* All rights reserved.                                               */
/*                                                                    */
/**********************************************************************/
package uk.co.ruelgnoj.prefs.treepanel;

import java.awt.Component;
import javax.swing.Icon;
import javax.swing.JTree;
import javax.swing.JLabel;
import javax.swing.tree.DefaultTreeCellRenderer;
public class TreePanelTreeRenderer extends DefaultTreeCellRenderer {
    public TreePanelTreeRenderer() {
	setLeafIcon(null);
	setOpenIcon(null);
	setClosedIcon(null);
    }

    @Override
    public Component getTreeCellRendererComponent(JTree tree,
	    Object value,
	    boolean sel,
	    boolean expanded,
	    boolean leaf,
	    int row,
	    boolean hasFocus) {
	Icon icon = null;
	if (value instanceof TreePanelItem) {
	    TreePanelItem tpi = (TreePanelItem)value;
	    value = tpi.getDisplayName(getLocale());
	    icon = tpi.getIcon();
	}
	Component ret = super.getTreeCellRendererComponent(
		tree, value, sel, expanded, leaf, row, hasFocus);
	if (ret instanceof JLabel) {
	    ((JLabel)ret).setIcon(icon);
	}
	return ret;
    }
}
