package uk.co.ruelgnoj.prefs.treepanel.util;

import java.awt.LayoutManager2;
import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Insets;

public class VerticalFlowLayout implements LayoutManager2 {
    private int vGap;

    public VerticalFlowLayout() {
	this(5);
    }

    public VerticalFlowLayout(int vGap) {
	this.vGap = vGap;
    }

    @Override
    public void invalidateLayout(Container c) {
    }

    @Override
    public float getLayoutAlignmentY(Container c) {
	return 0.0f;
    }

    @Override
    public float getLayoutAlignmentX(Container c) {
	return 0.0f;
    }

    @Override
    public Dimension maximumLayoutSize(Container c) {
	return new Dimension(0, 0);
    }

    @Override
    public Dimension minimumLayoutSize(Container c) {
	return new Dimension(0, 0);
    }

    @Override
    public Dimension preferredLayoutSize(Container c) {
	Insets insets = c.getInsets();
	int w = 0;
	int h = 0;
	Component[] children = c.getComponents();
	for (Component child: children) {
	    Dimension d = child.getPreferredSize();
	    h += d.height;
	    w = Math.max(w, d.width);
	}
	h += (vGap * children.length);
	return new Dimension(w + insets.left + insets.right,
	       	h + insets.top + insets.bottom);
    }

    @Override
    public void addLayoutComponent(Component c, Object o) {
    }

    public void addLayoutComponent(Component c, String s) {
    }

    @Override
    public void addLayoutComponent(String s, Component c) {
    }

    @Override
    public void removeLayoutComponent(Component c) {
    }

    @Override
    public void layoutContainer(Container c)  {
	Insets insets = c.getInsets();
	Component[] children = c.getComponents();
	int containerWidth = c.getWidth() - insets.left - insets.right;
	int y = insets.top;
	for (Component child: children) {
	    Dimension d = child.getPreferredSize();
	    d.width = containerWidth;
	    child.setSize(d);
	    child.setLocation(insets.left, y);
	    y += d.height;
	    y += vGap;
	}
    }
}

