package uk.co.ruelgnoj.prefs.util;

import javax.swing.Action;
import javax.swing.AbstractAction;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.JButton;
import java.awt.BorderLayout;
import java.awt.Frame;
import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;

public abstract class EnhancedJDialog extends JDialog {
    private Container cp;

    public EnhancedJDialog(Frame f, String title, boolean b) {
	super(f, title, b);
	initialize();
    }

    @Override
    public Container getContentPane() {
	if (cp == null) {
	    return super.getContentPane();
	} else {
	    return cp;
	}
    }

    private class OKAction extends AbstractAction {
	public OKAction() {
	    super("OK");
	}
        @Override
	public void actionPerformed(ActionEvent e) {
	    if (dialogOK()) {
		dispose();
	    }
	}
    }

    private class CancelAction extends AbstractAction {
	public CancelAction() {
	    super("Cancel");
	}
        @Override
	public void actionPerformed(ActionEvent e) {
	    if (dialogCancel()) {
		dispose();
	    }
	}
    }

    private void initialize() {
	Action okAction = new OKAction();
	Action cancelAction = new CancelAction();

	getContentPane().setLayout(new BorderLayout());
	JPanel buttons = new JPanel(new FlowLayout());
	buttons.add(new JButton(okAction));
	buttons.add(new JButton(cancelAction));
	JPanel bottom = new JPanel();
	bottom.add(buttons);
	getContentPane().add(BorderLayout.SOUTH, bottom);
	JPanel cp = new JPanel();
	getContentPane().add(BorderLayout.CENTER, cp);
	this.cp = cp;
    }

    protected abstract boolean dialogCancel();
    protected abstract boolean dialogOK();
    
}

